Skip to main content
`Ctrl`+`K`

# pandas.arrays.IntervalArray.to_tuples

IntervalArray.to_tuples(na_tuple=True)

  Return an ndarray (if self is IntervalArray) or Index (if self is IntervalIndex) of tuples of the form (left, right).

  Parameters:
    na_tuple bool, default True

      If `True`, return `NA` as a tuple `(nan, nan)`. If `False`, just return `NA` as `nan`.

  Returns:
    tuples: ndarray (if self is IntervalArray) or Index (if self is IntervalIndex)

  Examples

  For `pandas.IntervalArray`:

      >>> idx = pd.arrays.IntervalArray.from_tuples([(0, 1), (1, 2)])
      >>> idx
      <IntervalArray>
      [(0, 1], (1, 2]]
      Length: 2, dtype: interval[int64, right]
      >>> idx.to_tuples()
      array([(0, 1), (1, 2)], dtype=object)

  For `pandas.IntervalIndex`:

      >>> idx = pd.interval_range(start=0, end=2)
      >>> idx
      IntervalIndex([(0, 1], (1, 2]], dtype='interval[int64, right]')
      >>> idx.to_tuples()
      Index([(0, 1), (1, 2)], dtype='object')